
Name:		csmash
Summary:	A 3D table tennis game
Version:	0.6.6
Release:	%mkrel 11
Source0:	http://belnet.dl.sourceforge.net/sourceforge/cannonsmash/%{name}-%{version}.tar.xz
Source11:	%{name}.16.png
Source12:	%{name}.32.png
Source13:	%{name}.48.png
Patch0:		csmash-0.6.6-64bit-fixes.patch.bz2
Patch1:		csmash-0.6.6-gcc4.patch.bz2
Patch2:		csmash-0.6.6-extraqualif.patch.bz2
URL:		http://CannonSmash.sourceforge.net/
License:	GPL
Group:		Games/Sports
BuildRequires: %{_lib}x11-devel
BuildRequires: %{_lib}xext-devel
BuildRequires: %{_lib}xi-devel
BuildRequires: %{_lib}xmu-devel
BuildRequires: %{_lib}xt-devel
BuildRequires: %{_lib}SDL_mixer1.2-devel
BuildRequires: %{_lib}SDL_image-devel
BuildRequires: %{_lib}alsa2-devel
BuildRequires: %{_lib}esound-devel
BuildRequires: %{_lib}gtk+2.0_0-devel
BuildRequires: %{_lib}mesaglu1-devel
BuildRequires: %{_lib}jpeg62-devel
BuildRequires: zlib1-devel
BuildRequires: gettext
BuildRequires: bison
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-%{release}-buildroot

%description
CannonSmash is a 3D tabletennis game. The goal of this project is to represent
various strategy of tabletennis on computer game.

%prep
%setup -q
%patch0 -p0
%patch1 -p1
%patch2 -p1

%build
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall
rm -rf $RPM_BUILD_ROOT%{_datadir}/%{name}/win32

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=CannonSmash
Comment=A 3D table tennis game
Exec=%{_bindir}/%{name}
Icon=%{name}
Terminal=false
Type=Application
Categories=Game;SportsGame;
EOF

install -m644 %{SOURCE11} -D $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png
install -m644 %{SOURCE11} -D $RPM_BUILD_ROOT%{_iconsdir}/hicolor/16x16/apps/%{name}.png
install -m644 %{SOURCE12} -D $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
install -m644 %{SOURCE12} -D $RPM_BUILD_ROOT%{_iconsdir}/hicolor/32x32/apps/%{name}.png
install -m644 %{SOURCE13} -D $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png
install -m644 %{SOURCE13} -D $RPM_BUILD_ROOT%{_iconsdir}/hicolor/48x48/apps/%{name}.png

%find_lang %{name}

%post
%{update_menus}

%postun
%{clean_menus}


%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS README README.en
%{_bindir}/*
%{_datadir}/games/%{name}
%{_datadir}/applications/%{name}.desktop
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_iconsdir}/hicolor/16x16/apps/%{name}.png
%{_iconsdir}/hicolor/32x32/apps/%{name}.png
%{_iconsdir}/hicolor/48x48/apps/%{name}.png


%changelog
* Tue Oct 05 2011 Archie <pclinuxos.ph at gmail.com> 0.6.6-11pclos2011
- Rebuild for x86_64

* Sat Jun 19 2010 Texstar <texstar at gmail.com> 0.6.6-10pclos2010
- update for 2010 release

